// 2013 DeathByNukes
Shader "VertexColorUnlitSolidInvert" {
	Properties {
		_Color ("Main Color", Color) = (1,1,1,1)
	}

	SubShader {
		Tags { "Queue" = "Transparent" }
		//ZWrite Off
		BindChannels {
			Bind "Vertex", vertex
			Bind "Color", color
		} 
		Pass {
			Blend SrcAlpha OneMinusSrcAlpha
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine primary * constant + one - constant, primary * constant
			}
		}
	}
} 