Shader "VertexColorUnlitTintedNocull" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" { }
		_Color ("Tint", Color) = (1,1,1,1)
	}

	SubShader {
		BindChannels {
			Bind "Vertex", vertex
			Bind "texcoord", texcoord
			Bind "Color", color
		} 
		Pass {
			Cull Off
			
			SetTexture [_MainTex] {
				Combine texture * primary
			}
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine previous * constant
			}
		}
	}
} 