Shader "FG/Puzzle" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" { }
		_Color ("Tint", Color) = (1,1,1,1)
	}

	SubShader {
		Tags {"Queue" = "Transparent-1" }
		BindChannels {
			Bind "Vertex", vertex
			Bind "texcoord", texcoord
			Bind "Color", color
		}
		Pass {
			AlphaTest NotEqual 0
			ZWrite Off Colormask RGBA
			Blend SrcAlpha OneMinusSrcAlpha, Zero Zero

			SetTexture [_MainTex] {
				Combine texture * primary
			}
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine previous * constant
			}
		}
	}
} 